"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnClick = exports.DisabledPill = exports.NotActivePill = exports.ActivePill = exports.GroupOfPills = void 0;
var react_1 = __importDefault(require("react"));
var _1 = __importStar(require("."));
exports.default = {
    title: "Components/Pill",
    component: _1.default,
    argTypes: {
        onClick: { action: "clicked" }
    }
};
var Template = function (args) { return react_1.default.createElement(_1.default, __assign({}, args)); };
exports.GroupOfPills = function () { return (react_1.default.createElement(_1.PillsGroup, null,
    react_1.default.createElement(_1.default, { label: "Days", active: true }),
    react_1.default.createElement(_1.default, { label: "Weeks" }),
    react_1.default.createElement(_1.default, { label: "Months" }))); };
exports.ActivePill = Template.bind({});
exports.ActivePill.args = {
    active: true,
    label: "Active"
};
exports.NotActivePill = Template.bind({});
exports.NotActivePill.args = {
    active: false,
    label: "Not Active"
};
exports.DisabledPill = Template.bind({});
exports.DisabledPill.args = {
    disabled: false,
    label: "Disabled"
};
exports.OnClick = Template.bind({});
exports.OnClick.args = {
    label: "Click me 👆"
};
