"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// https://design.monday.com/03276924d/p/891cfe-attention-box/i/13675424
var react_1 = __importDefault(require("react"));
require("fontsource-roboto");
var styled_components_1 = __importDefault(require("styled-components"));
var styles_1 = require("../shared/styles");
var Wrapper = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: inline-flex;\n  flex-direction: column;\n  justify-content: center;\n  padding: 25px;\n  background-color: #dff0ff;\n  font-family: Roboto, monospace;\n  text-align: left;\n  border-radius: 10px;\n  max-width: 340px;\n"], ["\n  display: inline-flex;\n  flex-direction: column;\n  justify-content: center;\n  padding: 25px;\n  background-color: #dff0ff;\n  font-family: Roboto, monospace;\n  text-align: left;\n  border-radius: 10px;\n  max-width: 340px;\n"])));
var Title = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  color: ", ";\n  font-weight: bold;\n  font-size: ", ";\n"], ["\n  color: ", ";\n  font-weight: bold;\n  font-size: ", ";\n"])), styles_1.color.dark, styles_1.typography.size.mediumlarge);
var Body = styled_components_1.default.p(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  color: ", ";\n  margin-top: 8px;\n  font-weight: 400;\n  font-size: 14px;\n  letter-spacing: 0px;\n  line-height: 22px;\n"], ["\n  color: ", ";\n  margin-top: 8px;\n  font-weight: 400;\n  font-size: 14px;\n  letter-spacing: 0px;\n  line-height: 22px;\n"])), styles_1.color.dark);
var AttentionBox = function (props) {
    var title = props.title, body = props.body;
    return (react_1.default.createElement(Wrapper, null,
        react_1.default.createElement(Title, null, title),
        react_1.default.createElement(Body, null, body)));
};
exports.default = AttentionBox;
var templateObject_1, templateObject_2, templateObject_3;
