"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
require("fontsource-roboto");
var styled_components_1 = __importDefault(require("styled-components"));
var styles_1 = require("../shared/styles");
var Wrapper = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n"], ["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n"])));
var BadgeSpan = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: inline-block;\n  padding: 4px 10px 4px 10px;\n  border-radius: 50%;\n  text-align: center;\n  font-family: Roboto, monospace;\n\n  ", "\n"], ["\n  display: inline-block;\n  padding: 4px 10px 4px 10px;\n  border-radius: 50%;\n  text-align: center;\n  font-family: Roboto, monospace;\n\n  ",
    "\n"])), function (_a) {
    var type = _a.type;
    switch (type) {
        case "dark":
            return "\n            background-color: " + styles_1.color.dark + ";\n            border: " + styles_1.color.dark + " 1px solid;\n            color:  " + styles_1.color.white + "\n        ";
        case "notification":
            return "\n            background-color: #F65F7C;\n            border: #F65F7C 1px solid;\n            color:  " + styles_1.color.white + "\n        ";
        case "secondary":
            return "\n            background-color: " + styles_1.color.white + ";\n            border: " + styles_1.color.primary + " 1px solid;\n            color:  " + styles_1.color.primary + "\n        ";
        case "primary":
        default:
            return "\n            background-color: " + styles_1.color.primary + ";\n            border: " + styles_1.color.primary + " 1px solid;\n            color:  " + styles_1.color.white + "\n        ";
    }
});
var Badge = function (props) {
    var count = props.count, size = props.size, _a = props.type, type = _a === void 0 ? "primary" : _a;
    return (react_1.default.createElement(Wrapper, null,
        react_1.default.createElement(BadgeSpan, { type: type, size: size }, count)));
};
exports.default = Badge;
var templateObject_1, templateObject_2;
