"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnClick = exports.InfoButton = exports.SuccessButton = exports.DefaultButton = void 0;
var react_1 = __importDefault(require("react"));
var _1 = __importDefault(require("."));
exports.default = {
    title: "Components/Button",
    component: _1.default,
    argTypes: {
        onClick: { action: "clicked" }
    }
};
var Template = function (args) { return react_1.default.createElement(_1.default, __assign({}, args)); };
exports.DefaultButton = Template.bind({});
exports.DefaultButton.args = {
    disabled: false,
    label: "Primary"
};
exports.SuccessButton = Template.bind({});
exports.SuccessButton.args = {
    disabled: false,
    type: "success",
    label: "Success Button",
    onClick: function () { return alert("woo-hoo 🎉"); }
};
exports.InfoButton = Template.bind({});
exports.InfoButton.args = {
    disabled: false,
    type: "info",
    label: "Info Button"
};
exports.OnClick = Template.bind({});
exports.OnClick.args = {
    label: "Click me 👆"
};
