"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
require("fontsource-roboto");
var styled_components_1 = __importDefault(require("styled-components"));
var styles_1 = require("../shared/styles");
var ButtonComponent = styled_components_1.default.button(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  outline: none;\n  color: #ffffff;\n  padding: 12px 24px 12px 24px;\n  display: inline-flex;\n  border-radius: 30px;\n  border: none;\n  line-height: 128%;\n  background-color: ", ";\n"], ["\n  outline: none;\n  color: #ffffff;\n  padding: 12px 24px 12px 24px;\n  display: inline-flex;\n  border-radius: 30px;\n  border: none;\n  line-height: 128%;\n  background-color: ",
    ";\n"])), function (_a) {
    var buttonType = _a.buttonType, disabled = _a.disabled;
    if (disabled) {
        return "#c6c6c6";
    }
    switch (buttonType) {
        case "success":
            return "#23b86f";
        case "info":
            return "#e2e227";
        case "error":
            return "#f44336";
        case "primary":
        default:
            return styles_1.color.primary;
    }
});
var Button = function (props) {
    var label = props.label, onClick = props.onClick, _a = props.disabled, disabled = _a === void 0 ? false : _a, _b = props.type, type = _b === void 0 ? "primary" : _b;
    return (react_1.default.createElement(ButtonComponent, { buttonType: type, disabled: disabled, onClick: onClick }, label));
};
exports.default = Button;
var templateObject_1;
