"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PillsGroup = void 0;
var react_1 = __importDefault(require("react"));
require("fontsource-roboto");
var styled_components_1 = __importDefault(require("styled-components"));
exports.PillsGroup = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n"], ["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n"])));
var InnerText = styled_components_1.default.span(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  font-family: \"Roboto\", helvetica, arial, sans-serif;\n  font-weight: 400;\n  line-height: 19.5px;\n  font-size: 13px;\n"], ["\n  font-family: \"Roboto\", helvetica, arial, sans-serif;\n  font-weight: 400;\n  line-height: 19.5px;\n  font-size: 13px;\n"])));
var PillComponent = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  border: none;\n  cursor: pointer;\n  padding: 5px 16px 5px 16px;\n  margin: 0 2px;\n  text-decoration: none;\n  border-radius: 16px;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n\n  background-color: ", ";\n\n  color: ", ";\n\n  &:hover {\n    background-color: ", ";\n  }\n"], ["\n  border: none;\n  cursor: pointer;\n  padding: 5px 16px 5px 16px;\n  margin: 0 2px;\n  text-decoration: none;\n  border-radius: 16px;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n\n  background-color: ",
    ";\n\n  color: ",
    ";\n\n  &:hover {\n    background-color: ",
    ";\n  }\n"])), function (_a) {
    var active = _a.active, disabled = _a.disabled;
    if (disabled) {
        return "#c6c6c6";
    }
    return active ? "#e5f4ff" : "none";
}, function (_a) {
    var active = _a.active, disabled = _a.disabled;
    if (disabled) {
        return "White";
    }
    return active ? "#0085FF" : "#1c1f3b";
}, function (_a) {
    var active = _a.active;
    return active ? "none" : "rgb(237, 238, 240)";
});
var Pill = function (_a) {
    var label = _a.label, onClick = _a.onClick, _b = _a.disabled, disabled = _b === void 0 ? false : _b, _c = _a.active, active = _c === void 0 ? false : _c;
    return (react_1.default.createElement(exports.PillsGroup, null,
        react_1.default.createElement(PillComponent, { active: active, disabled: disabled, onClick: onClick },
            react_1.default.createElement(InnerText, null, label))));
};
exports.default = Pill;
var templateObject_1, templateObject_2, templateObject_3;
