"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typography = exports.color = void 0;
// https://design.monday.com/03276924d/p/474cf8-colors
exports.color = {
    primary: "#0085FF",
    dark: "#323338",
    primaryHighlight: "#DFF0FF",
    private: "#F65F7C",
    shareable: "#A358DF",
    white: "#FFF"
};
// https://design.monday.com/03276924d/p/79dc30-typography/t/888377
exports.typography = {
    type: {
        primary: "Roboto, monospace"
    },
    colors: {
        default: "#323338",
        asphalt: "#676879",
        white: "#FFFFFF",
        primary: "#0085FF",
        link: "#1F76C2"
    },
    weight: {
        regular: "300",
        bold: "400",
        extrabold: "500"
    },
    size: {
        small: "14px",
        medium: "16px",
        mediumlarge: "16px",
        large: "24px",
        extralarge: "32px"
    }
};
